
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "blocker_red"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "blocker-1"

	actor[cp_move_type]			= cmt_random + cmt_avoid + cmt_anim_to_move + cmt_anim_to_turn

	actor[cp_in_beastie_count]		= 0
	actor[cp_in_screen_zoom_box]	= 1

	actor[cp_hit_delay]				= 4.0
	actor[cp_mutate_hit_delay]		= 4.0
	actor[cp_hit_power]			= 5.0

	actor[cp_actor_type]			= cat_blocker
	actor[cp_i_collide_with_beasties]	= cat_player + cat_fence + cat_blocker
	actor[cp_these_collide_with_me]		= cat_player + cat_bullet + cat_crystal + cat_blocker + cat_webblob + cat_mergeblob

	-- movement
	actor[cp_move_speed_min]	= 0.5
	actor[cp_move_speed_max]	= 0.5

--	actor[cp_i_avoid_these_beasties]	= cat_blocker
--	actor[cp_look_ahead_dist]		= 9.0

--	actor[cp_repel_dist]			= 9.0
	actor[cp_target_stop_dist]		= 7.0

	actor[cp_turn_lock_angle_inner]		= 60.0
	actor[cp_turn_lock_angle_outer]		= 60.0
	actor[cp_turn_speed_still]			= 0.0
	actor[cp_turn_acceleration_still]	= 0.0
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 0.1
	actor[cp_turn_acceleration_moving]	= 0.01
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

	actor[cp_random_edge_inner_percent]	= 70.0
	actor[cp_random_edge_outer_percent]	= 90.0

	actor[cp_launch_hue_shift] = color

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_particle_to_anim( "emerge", "partbone", "blocker-emerge1" )
	c_add_particle_to_anim( "emerge", "partbone", "blocker-emerge2" )
	c_add_particle_to_anim( "emerge", "partbone", "blocker-emerge3" )

	c_set_random_anim( "eyebeem", 70.0, 130.0, 0.0, 0.0 )

	c_set_use_anim_for( "move_forward", "walk", 90.0, 135.0 )
	c_set_use_anim_for( "turn_left", "turnl_80", 60.0, 70.0 )
	c_set_use_anim_for( "turn_right", "turnr_80", 60.0, 70.0 )

	c_add_footprint_to_anim( "walk", "lfoot", "1", 1.0, 2.7, 3.0 )
	c_add_footprint_to_anim( "walk", "rfoot", "1", 4.0, 2.7, 3.0 )
	c_add_footprint_to_anim( "turnr_80", "lfoot", "1", 4.0, 2.7, 2.0 )
	c_add_footprint_to_anim( "turnr_80", "rfoot", "1", 1.0, 2.7, 2.0 )
	c_add_footprint_to_anim( "turnl_80", "rfoot", "1", 4.0, 2.7, 2.0 )
	c_add_footprint_to_anim( "turnl_80", "lfoot", "1", 1.0, 2.7, 2.0 )

	c_add_sound_to_event( "hit_null_bone", "blocker_hit" )
	c_add_sound_to_anim( "walk", "blocker_step" )
	c_add_sound_to_anim( "turnr_80", "blocker_step" )
	c_add_sound_to_anim( "turnl_80", "blocker_step" )
	c_add_sound_to_anim( "emerge", "blocker_emerge" )
